# DataExchange
TKXSBase
StepData

# StepData_HArray1OfField Class Reference

`#include <StepData_HArray1OfField.hxx>`

## Public Member Functions

Standard_EXPORT | StepData_HArray1OfField (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepData_HArray1OfField (const Standard_Integer Low, const Standard_Integer Up, const StepData_Field &V)
Standard_EXPORT void | Init (const StepData_Field &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepData_Field &Value)
const StepData_Field & | Value (const Standard_Integer Index) const
StepData_Field & | ChangeValue (const Standard_Integer Index)
const StepData_Array1OfField & | Array1 () const
StepData_Array1OfField & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepData_Array1OfField | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepData_HArray1OfField::StepData_HArray1OfField | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepData_HArray1OfField::StepData_HArray1OfField | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepData_Field & | V
| ) |

## Member Function Documentation

const StepData_Array1OfField& StepData_HArray1OfField::Array1 | ( |  | ) | const

StepData_Array1OfField& StepData_HArray1OfField::ChangeArray1 | ( |  | ) |

StepData_Field& StepData_HArray1OfField::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepData_HArray1OfField::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepData_HArray1OfField::Init | ( | const StepData_Field & | V | ) |

Standard_Integer StepData_HArray1OfField::Length | ( |  | ) | const

Standard_Integer StepData_HArray1OfField::Lower | ( |  | ) | const

void StepData_HArray1OfField::SetValue | ( | const Standard_Integer | Index,
|  | const StepData_Field & | Value
| ) |

Standard_Integer StepData_HArray1OfField::Upper | ( |  | ) | const

const StepData_Field& StepData_HArray1OfField::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepData_Array1OfField StepData_HArray1OfField::myArray `[private]`

The documentation for this class was generated from the following file:

- StepData_HArray1OfField.hxx